.knowledges {
    .knowledgesContent {
      background: linear-gradient(115deg, $color-1 50%, transparent 100%);
      border-radius: $borderRadius;
      min-height: $minHeight;
      overflow: hidden;
      padding: 30px;
      position: relative;
      width: 100%;

      .languagesFrameworks, .otherSkills {
        background: $color-2;
        border-radius: $borderRadius;
        padding: .8rem;
      }

      h3 {
        font-size: 1.4rem;
        margin-bottom: 1rem;
        font-family: $font-2;
        color: $color-5;

        text-transform: uppercase;
      }

      h1 {
        text-align: center;
        margin-top: 0.3rem;
        position: relative;
        color: $white;
      }
      .content {
        display: flex;
        flex-direction: column;
      }

      .languagesFrameworks {
        display: flex;
        flex-wrap: wrap;
        margin-bottom: .5rem;

        .languageDisplay {
          padding: 30px;
        }

        .frameworksDisplay {
          padding: 30px;
        }

        .conceptDisplay {
          padding: 30px;
        }

        h3 {
          margin-bottom: 0.3rem;
        }

        .years {
          font-size: .65rem;
          display: flex;
          justify-content: space-between;
          color: $white;

          span {
            width: 36%;

            &:nth-child(2) {
              text-align: center;
              width: 20%;
            }

            &:nth-child(3) {
              text-align: right;
              width: 44%;
            }

            &:nth-child(2):before,
            &:nth-child(3):before {
              content: '';
              background: rgba(180, 179, 179, 0.507);
              position: absolute;
              height: 146px;
              width: 1px;
              transform: translate(9px, 19px);
            }
          }
        }

        .languagesList {
          padding-top: .5rem;

          li {
            color: $color-1;
            font-size: .8rem;
          }

          .progressBar {
            height: .4rem;
            background: transparent;
            border-radius: 50px;
            margin-top: 0.2rem;
            position: relative;

            &:after {
              content: '';
              position: absolute;
              background: $color-3;
              border-radius: 50px;
              height: .4rem;
              width: 0;
              animation: line 2s ease-out forwards;

              @keyframes line {
                to {
                  width: 100%;
                }
              }
            }
          }
        }
      }
    }
      .otherSkills {
        margin-right: 0.5rem;

        .list {
          display: flex;
          width: 80%;
          height: 100%;
          margin: 0 auto;
          justify-content: space-between;

          ul {
            height: 80%;


            i {
              color: $color-5;
            }
          }
        }
      }
    }

  @media screen and (max-width: 950px){
    .knowledgesContent {
      h3 {
        font-size: 1.2rem !important;
      }
      .languagesList {
        padding-top: .2rem !important;
      }
      p {
        font-size: .8rem;
      }
      .otherSkills, .hobbies {
        font-size: .8rem;
      }
    }
  }
  @media screen and (max-width: 850px){
    .knowledgesContent {
      h4 {
        font-size: .9rem !important;
      }
      h5 {
        font-size: .6rem !important;
        padding: .2rem 1rem !important;
      }
    }
  }
  @media screen and (max-width: 500px){
    .knowledgesContent {


      .languages {

      }
        margin-left: 0 !important;
      }
      .otherSkills {

        margin-right: 0 !important;
      }
    }
    h1 {
        color: $white;
        text-align: center;
        margin-top: 0.3rem;
        position: relative;
    }
